package com.bocloud.ims.interfaces.scheduler;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;

/**
 * x86服务器定时同步
 *
 * @author 作者
 * @version 创建时间：2019年4月15日 下午6:02:50 类说明
 */
public interface ServerTimedTaskService {

    BocloudResult create(String assetCategory, String cron, RequestContext context);

    BocloudResult remove(String params, RequestContext context);

    BocloudResult modify(String assetCategory, String cron, RequestContext context);

    BocloudResult serverCron(String assetCategory, RequestContext context);

}
